gnutls_global_set_log_function(3)

NAME
gnutls_global_set_log_function - set the logging function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_global_set_log_function(gnutls_log_func log_func);

ARGUMENTS

gnutls_log_func log_func
    it's a log function

DESCRIPTION
This is the function where you set the logging function gnutls is going to use. This function only accepts a character array. Normally you may not use this function since it is only used for debugging purposes.

gnutls_log_func is of the form, void (*gnutls_log_func)( int level, const char*);

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.